function main()
  dink.draw_status()
  ayoyoyo = dink.playsound(54, 33000, 0, current_sprite, true)
  current_sprite:say("`1Ayoyoyo!")
  ayoyoyo:fade_vol(10, 10)
end

function hit()
  dink.kill_all_sounds()
  current_sprite:say("`1Wololo!")
  print("Wololo")
  dink.playsound(56, 44100, -5000, 0, false)
end

function talk()
  player:freeze()
  current_sprite:say_stop("`1I have a sound attached")
  dink.wait(500)
  current_sprite:say_stop("`1Walk around me to hear positional audio")
  dink.wait(100)
  ayoyoyo:fade_vol(100, 3)
  player:unfreeze()
end

function push()
  current_sprite:say("`1Hey cut that out!")
end
